<template>
    <div
        v-if="shop"
        class="row"
    >
        <div class="col-lg-4">
            <div class="tab-container">
                <div class="tab-header">
                    <div class="card-title-container">
                        <i class="fa fa-bell-o my-icon" />
                        <div class="my-card-title">
                            Abandoned Cart Push
                        </div>
                    </div>
                    <div>
                        <div
                            class="panel-heading-status"
                            :class="{'success' : push.pushRemindersStatus}"
                        />
                    </div>
                </div>
                <div
                    v-if="push.pushRemindersStatus"
                    class="content-container"
                >
                    <div class="sales-container">
                        <div class="card-count">
                            {{ getCurrencySign.symbol_native }}{{ $formatter.fixedNumber(push.pushRemindersSales) }}
                        </div>
                        <div class="card-title">
                            Sales
                        </div>
                    </div>
                    <div class="card-info-container">
                        <div class="card-count">
                            {{ push.pushRemindersStatus }}
                        </div>
                        <div class="card-title">
                            Active reminders
                        </div>
                    </div>
                </div>
                <div
                    v-else
                    class="no-content-container"
                >
                    <div>
                        <button class="btn get-started-btn">
                            Get Started
                        </button>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-4">
            <div class="tab-container">
                <div class="tab-header">
                    <div class="card-title-container">
                        <i class="fa fa-bell-o my-icon" />
                        <div class="my-card-title">
                            Push Campaigns
                        </div>
                    </div>
                    <div>
                        <div
                            class="panel-heading-status"
                            :class="{'success' : push.pushCampaignsCount}" 
                        />
                    </div>
                </div>
                <div
                    v-if="push.pushCampaignsCount"
                    class="content-container"
                >
                    <div class="sales-container">
                        <div class="card-count">
                            {{ getCurrencySign.symbol_native }}{{ $formatter.fixedNumber(push.pushCampaignsSales) }}
                        </div>
                        <div class="card-title">
                            Sales
                        </div>
                    </div>
                    <div class="card-info-container">
                        <div class="card-count">
                            {{ push.pushCampaignsCount }}
                        </div>
                        <div class="card-title">
                            Active reminders
                        </div>
                    </div>
                </div>
                <div
                    v-else
                    class="no-content-container"
                >
                    <div>
                        <router-link
                            to="/push/campaigns"
                            class="btn get-started-btn"
                        >
                            Get Started
                        </router-link>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-4">
            <div class="tab-container">
                <div class="tab-header">
                    <div class="card-title-container">
                        <i class="fa fa-bell-o my-icon" />
                        <div class="my-card-title">
                            Welcome Push
                        </div>
                    </div>
                    <div>
                        <div
                            class="panel-heading-status"
                            :class="{'success' : push.pushWelcomeStatus}" 
                        />
                    </div>
                </div>
                <div

                    class="no-content-container"
                >
                    <div>
                        <router-link
                            to="/push/growth/welcome-push"
                            class="btn edit-btn"
                        >
                            Edit
                        </router-link>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
import currencies from "../../../data/currencies.json";
import shop from "../../../mixins/shop.service";

export default {
    name: "PushTab",
    mixins: [shop],
    props: ['push'],
    data() {
        return {
            shop: null,
            currencies: currencies
        }
    },
    computed: {
        getCurrencySign() {
            if (!this.currencies)
                return {
                    symbol: this.shop.payment_currency
                };
            return this.currencies[this.shop.payment_currency];
            }
        },
        created() {
            this.loadShop()
        },
        methods: {
            async loadShop() {
                this.shop = await this.getShop()
            }

        }
    }
</script>

<style scoped lang="scss">

.push-tab-container {
    display: flex;
    justify-content: center;
    margin-top: 30px;
    font-size: 32px;
    color: #98A0A6;
    font-weight: 600;
}

.tab-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid #DFE6F2;
    padding: 15px 20px;
}

.custom-icon {
    color: black;
}

.my-icon {
    font-size: 17px;
    margin-right: 8px;
}

.edit-btn {
    background: #DAE7FF;
    color: #4786FF;
    padding: 9px 22px;
    border-radius: 5px;
    font-weight: bold;
    font-size: 14px;

    &:hover {
        background: #4786FF;
        color: #ffffff;
    }
}

.sales-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.card-info-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.card-count {
    font-size: 24px;
    font-weight: 900;
    color: #4786FF;
}

.no-content-container {
    display: flex;
    align-items: center;
    justify-content: space-around;
    min-height: 105px;
}

.card-title {
    color: #A8B2C4;
    font-size: 12px;
}

.card-title-container {
    display: flex;
    align-items: center;
    font-size: 14px;
    font-weight: 600;
}

.tab-container {
    background: white;
    margin-bottom: 30px;
    -webkit-box-shadow: 0 5px 20px rgba(200, 208, 222, 0.2);
    box-shadow: 0 5px 20px rgba(200, 208, 222, 0.2);
    min-height: 151px;
    border-radius: 5px;
}

.panel-heading-status {
    width: 8px;
    border: 1px solid #2BB300;
    height: 8px;
    border-radius: 50%;
}

.my-card-title {
    margin-left: 5px;
}


</style>
